### Method

# FwupdPlugin Context get_path

since: 2.1.1

#### Declaration [src]

    const gchar*
    fu_context_get_path (
      FuContext* self,
      FuPathKind kind,
      GError** error
    )

#### Description [src]

Gets a well-known path.

Available since: 2.1.1

#### Parameters

`kind`

  Type: `FuPathKind`

  A `FuPathKind`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `const gchar*`

A `FuBackend`, or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.